echo off
cls
rem  Created Oct 28 2009
rem  Modified Mar 07 2012 to adapt serial control for ethernet control.
rem
rem  This batch file uses the cURL program.
rem  
rem  This batch file file goes into the SageTV directory
rem  This batch assumes that cURL is in a subdirectory (named "cURL")of the SageTV directory
rem
rem  Registry Command: DirecTVMultiChg.bat %DEVICE% %CHANNEL%
rem  
rem  The %1 represents the tuner device (%DEVICE%) name passed from SageTV
rem  The %2 represents the channel (%CHANNEL%) value passed from SageTV
rem  Both values used as arguments to the executable batch file

rem  Each device must be assigned to an IP address.  Adjust to correspond with the
rem  settings of each of your network-connected set-top boxes.
rem
set CURDEVICE=%1
IF %CURDEVICE% EQU DSS1 set USEIP=192.168.1.31
IF %CURDEVICE% EQU DSS2 set USEIP=192.168.1.32
IF %CURDEVICE% EQU DSS3 set USEIP=192.168.1.33
IF %CURDEVICE% EQU DSS4 set USEIP=192.168.1.34
IF %CURDEVICE% EQU DSS5 set USEIP=192.168.1.35

rem  Map channel designations to tuning commands
set CHANRAW=%2
set DASHCHECK=%CHANRAW:~-2%
set ISDASHED=%DASHCHECK:~0,1%
IF %ISDASHED% EQU - goto adddash
set CHANPRE=N/A
set CHANPRERAW=N/A
set CHANSUB=N/A

rem  This is the command for standard channels
.\cURL\curl "http://%USEIP%:8080/tv/tune?major=%CHANRAW%"
set USECOMMAND=***    .\cURL\curl "http://%USEIP%:8080/tv/tune?major=%CHANRAW%"
goto dotshoot

rem  This is the command for "dash" channels
:adddash
set CHANSUB=%CHANRAW:~-1%
set CHANPRERAW=%CHANRAW:~0,3%
set CHANPRE=%CHANPRERAW%
.\cURL\curl "http://%USEIP%:8080/tv/tune?major=%CHANPRE%&minor=%CHANSUB%"
set USECOMMAND=***    .\cURL\curl "http://%USEIP%:8080/tv/tune?major=%CHANPRE%&minor=%CHANSUB%"
goto dotshoot

:dotshoot

rem  The remaining lines are for troubleshooting purposes
rem  Remove the 'rem' commands to display info on the console
rem  echo.Argument 1: %1
rem  echo.Argument 2: %2
rem  echo.DSSCHRAW: %DSSCHRAW%
rem  echo.DSSCHAN: %DSSCHAN%
rem  echo.CURDEVICE: %CURDEVICE%
rem  echo.CHANRAW: %CHANRAW%
rem  echo.DASHCHECK: %DASHCHECK%
rem  echo.ISDASHED: %ISDASHED%
rem  echo.CHANPRERAW: %CHANPRERAW%
rem  echo.CHANPRE, CHANSUB: %CHANPRE%, %CHANSUB%
rem  echo.USEIP: %USEIP%
rem  echo. 
rem  echo.  ************************************************************************
rem  echo.  ***  Here's the command:                                             ***
rem  echo.  ***                                                                  ***
rem  echo.  %USECOMMAND%
rem  echo.  ***                                                                  ***
rem  echo.  ************************************************************************
